## ocaml-migrate-parsetree 1.0.7

=== Makefile ===
# This file is part of the migrate-parsetree package. It is released under the
# terms of the LGPL 2.1 license (see LICENSE file).
# Copyright 2017  Frédéric Bour
#           2017  Jérémie Dimino

INSTALL_ARGS := $(if $(PREFIX),--prefix $(PREFIX),)

.PHONY: all
all:
	jbuilder build @install

.PHONY: install
install:
	jbuilder install $(INSTALL_ARGS)

.PHONY: uninstall
uninstall:
	jbuilder uninstall $(INSTALL_ARGS)

.PHONY: reinstall
reinstall:
	$(MAKE) uninstall
	$(MAKE) install

.PHONY: test
test:
	jbuilder runtest

.PHONY: all-supported-ocaml-versions
all-supported-ocaml-versions:
	jbuilder runtest --workspace jbuild-workspace.dev

.PHONY: cinaps
cinaps:
	cinaps -styler ocp-indent -i src/migrate_parsetree_versions.ml*
	cinaps -styler ocp-indent -i src/migrate_parsetree_40?_40?.ml*
	cinaps -styler ocp-indent -i src/migrate_parsetree.ml
	cinaps -styler ocp-indent -i bin/ocaml_migrate_parsetree.ml

.PHONY: clean
clean:
	rm -rf _build *.install
	find . -name .merlin -delete

=== debian/changelog ===
ocaml-migrate-parsetree (1.0.7-1) unstable; urgency=low

  * Initial release. (Closes: #873896)

 -- Andy Li <andy@onthewings.net>  Tue, 31 Oct 2017 15:48:28 +0800

=== debian/control ===
Source: ocaml-migrate-parsetree
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Andy Li <andy@onthewings.net>
Standards-Version: 4.1.1
Build-Depends:
 debhelper (>= 10.3),
 ocaml-nox (>= 4.02.0),
 ocamlbuild,
 jbuilder,
 libresult-ocaml-dev,
 ocaml-compiler-libs,
 ocaml-findlib,
 opam,
 dh-ocaml
Homepage: https://github.com/ocaml-ppx/ocaml-migrate-parsetree
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/ocaml-migrate-parsetree.git
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-migrate-parsetree.git

Package: libmigrate-parsetree-ocaml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Convert OCaml parsetrees between different major versions (Runtime library)
 This library converts between parsetrees of different OCaml versions.
 For each version, there is a snapshot of the parsetree and conversion
 functions to the next and/or previous version.

Package: libmigrate-parsetree-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Convert OCaml parsetrees between different major versions (Development package)
 This library converts between parsetrees of different OCaml versions.
 For each version, there is a snapshot of the parsetree and conversion
 functions to the next and/or previous version.

Package: libmigrate-parsetree-ocamlbuild-ocaml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 ${ocaml:Provides}
Recommends:
 ocaml-findlib,
 libmigrate-parsetree-ocaml
Enhances: ocamlbuild
Description: Provide an ocaml-migrate-parsetree plugin for ocamlbuild. (Runtime library)
 The package libmigrate-parsetree-ocamlbuild-ocaml provides an
 ocaml-migrate-parsetree plugin for ocamlbuild, to help building and using
 custom drivers on demand.

Package: libmigrate-parsetree-ocamlbuild-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 ${ocaml:Provides}
Recommends:
 ocaml-findlib,
 libmigrate-parsetree-ocaml-dev
Description: Provide an ocaml-migrate-parsetree plugin for ocamlbuild. (Development package)
 The package libmigrate-parsetree-ocamlbuild-ocaml provides an
 ocaml-migrate-parsetree plugin for ocamlbuild, to help building and using
 custom drivers on demand.

Package: libmigrate-parsetree-ocaml-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Enhances: libmigrate-parsetree-ocaml-dev
Description: Documentation for ocaml-migrate-parsetree
 This library converts between parsetrees of different OCaml versions.
 For each version, there is a snapshot of the parsetree and conversion
 functions to the next and/or previous version.
 .
 This package contains documentation for ocaml-migrate-parsetree in html
 format.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk
export OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

override_dh_auto_configure:

override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	dh_auto_install -- INSTALL_ARGS='--destdir=$(DESTDIR) --libdir=$(OCAMLFIND_DESTDIR) --verbose'

override_dh_missing:
	dh_missing --fail-missing

# Preprocess migrate_parsetree_versions.mli, which contains OCaml_OCAML_VERSION..
debian/preprocess-ocamldoc.sh:
	echo '#!/bin/sh' > "$@"
	echo 'sed -e "s/OCaml_OCAML_VERSION/OCaml_$(shell echo $(OCAML_ABI) | cut -d. -f1-2 | tr -d .)/g" "$$@"' >> "$@"
	chmod +x "$@"

override_dh_ocamldoc: debian/preprocess-ocamldoc.sh
	dh_ocamldoc -u "-pp $<"

## ocaml-migrate-parsetree 1.0.10

=== debian/changelog ===
ocaml-migrate-parsetree (1.0.10-2) unstable; urgency=medium

  * Fix dh_ocamldoc usage.
  * Added as-installed test.

 -- Andy Li <andy@onthewings.net>  Thu, 07 Jun 2018 05:09:39 +0800

ocaml-migrate-parsetree (1.0.10-1) unstable; urgency=medium

  * New upstream release.
    + Update d/*.install and d/not-installed. (Closes: #899076)
  * Build depends on dune (was renamed from jbuilder).
  * Update Vcs-* from alioth to salsa.
  * Bump Standards-Version to 4.1.4 (no change).
  * Remove full stop in Description.

 -- Andy Li <andy@onthewings.net>  Tue, 05 Jun 2018 17:23:11 +0800

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Build-Depends:
  debhelper (>= 10.3),
  ocaml-nox (>= 4.02.0),
  ocamlbuild,
- jbuilder,
+ dune,
  libresult-ocaml-dev,
  ocaml-compiler-libs,
  ocaml-findlib,
  opam,
  dh-ocaml
 Homepage: https://github.com/ocaml-ppx/ocaml-migrate-parsetree
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/ocaml-migrate-parsetree.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-migrate-parsetree.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-migrate-parsetree
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-migrate-parsetree.git
 
 Package: libmigrate-parsetree-ocaml
 Architecture: any
@@ -58,7 +58,7 @@
  ocaml-findlib,
  libmigrate-parsetree-ocaml
 Enhances: ocamlbuild
-Description: Provide an ocaml-migrate-parsetree plugin for ocamlbuild. (Runtime library)
+Description: Provide an ocaml-migrate-parsetree plugin for ocamlbuild (Runtime library)
  The package libmigrate-parsetree-ocamlbuild-ocaml provides an
  ocaml-migrate-parsetree plugin for ocamlbuild, to help building and using
  custom drivers on demand.
@@ -74,7 +74,7 @@
 Recommends:
  ocaml-findlib,
  libmigrate-parsetree-ocaml-dev
-Description: Provide an ocaml-migrate-parsetree plugin for ocamlbuild. (Development package)
+Description: Provide an ocaml-migrate-parsetree plugin for ocamlbuild (Development package)
  The package libmigrate-parsetree-ocamlbuild-ocaml provides an
  ocaml-migrate-parsetree plugin for ocamlbuild, to help building and using
  custom drivers on demand.

## ocaml-migrate-parsetree 1.2.0

=== Makefile ===
--- 
+++ 
@@ -7,15 +7,15 @@
 
 .PHONY: all
 all:
-	jbuilder build @install
+	dune build @install
 
 .PHONY: install
 install:
-	jbuilder install $(INSTALL_ARGS)
+	dune install $(INSTALL_ARGS)
 
 .PHONY: uninstall
 uninstall:
-	jbuilder uninstall $(INSTALL_ARGS)
+	dune uninstall $(INSTALL_ARGS)
 
 .PHONY: reinstall
 reinstall:
@@ -24,11 +24,11 @@
 
 .PHONY: test
 test:
-	jbuilder runtest
+	dune runtest
 
 .PHONY: all-supported-ocaml-versions
 all-supported-ocaml-versions:
-	jbuilder runtest --workspace jbuild-workspace.dev
+	dune runtest --workspace jbuild-workspace.dev
 
 .PHONY: cinaps
 cinaps:

=== debian/changelog ===
ocaml-migrate-parsetree (1.2.0-2) unstable; urgency=medium

  * Build-depends on opam-installer instead of opam. (Closes: #918770)
  * Bump Standards-Version to 4.3.0 (no changes).
  * Mark libmigrate-parsetree-ocaml-doc as Multi-Arch: foreign.

 -- Andy Li <andy@onthewings.net>  Wed, 30 Jan 2019 13:58:53 +0800

ocaml-migrate-parsetree (1.2.0-1) unstable; urgency=medium

  * New upstream release.
    + Update Build-Depends and d/rules. (Closes: #917058)

 -- Andy Li <andy@onthewings.net>  Sun, 23 Dec 2018 21:15:28 +0800

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Build-Depends:
  debhelper (>= 10.3),
  ocaml-nox (>= 4.02.0),
  ocamlbuild,
- dune,
+ dune (>= 1.6.0),
+ libppx-derivers-ocaml-dev,
  libresult-ocaml-dev,
  ocaml-compiler-libs,
  ocaml-findlib,
- opam,
+ opam-installer,
  dh-ocaml
 Homepage: https://github.com/ocaml-ppx/ocaml-migrate-parsetree
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-migrate-parsetree
@@ -82,6 +83,7 @@
 Package: libmigrate-parsetree-ocaml-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Enhances: libmigrate-parsetree-ocaml-dev
 Description: Documentation for ocaml-migrate-parsetree

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 override_dh_auto_install:
 	mkdir -p '$(OCAMLFIND_DESTDIR)'
-	dh_auto_install -- INSTALL_ARGS='--destdir=$(DESTDIR) --libdir=$(OCAMLFIND_DESTDIR) --verbose'
+	dh_auto_install -- INSTALL_ARGS='--destdir=$(DESTDIR) --verbose'
 
 override_dh_missing:
 	dh_missing --fail-missing

## ocaml-migrate-parsetree 1.4.0

=== debian/changelog ===
ocaml-migrate-parsetree (1.4.0-1build1) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Aug 2019 13:04:25 +0200

ocaml-migrate-parsetree (1.4.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - remove binary packages libmigrate-parsetree-ocamlbuild-ocaml{,-dev}
    - do no longer provide automatic doc with dh_ocamldoc
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 20 Aug 2019 05:41:28 +0200

ocaml-migrate-parsetree (1.2.0-3) unstable; urgency=high

  * Team upload
  * Force rebuild of all packages on buildds

 -- Stéphane Glondu <glondu@debian.org>  Fri, 02 Aug 2019 10:13:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,15 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Build-Depends:
- debhelper (>= 10.3),
+ debhelper-compat (= 12),
  ocaml-nox (>= 4.02.0),
- ocamlbuild,
- dune (>= 1.6.0),
+ ocaml-dune (>= 1.6.0),
  libppx-derivers-ocaml-dev,
  libresult-ocaml-dev,
  ocaml-compiler-libs,
  ocaml-findlib,
- opam-installer,
  dh-ocaml
 Homepage: https://github.com/ocaml-ppx/ocaml-migrate-parsetree
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-migrate-parsetree
@@ -47,39 +45,6 @@
  For each version, there is a snapshot of the parsetree and conversion
  functions to the next and/or previous version.
 
-Package: libmigrate-parsetree-ocamlbuild-ocaml
-Architecture: any
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
- ${ocaml:Depends}
-Provides:
- ${ocaml:Provides}
-Recommends:
- ocaml-findlib,
- libmigrate-parsetree-ocaml
-Enhances: ocamlbuild
-Description: Provide an ocaml-migrate-parsetree plugin for ocamlbuild (Runtime library)
- The package libmigrate-parsetree-ocamlbuild-ocaml provides an
- ocaml-migrate-parsetree plugin for ocamlbuild, to help building and using
- custom drivers on demand.
-
-Package: libmigrate-parsetree-ocamlbuild-ocaml-dev
-Architecture: any
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
- ${ocaml:Depends}
-Provides:
- ${ocaml:Provides}
-Recommends:
- ocaml-findlib,
- libmigrate-parsetree-ocaml-dev
-Description: Provide an ocaml-migrate-parsetree plugin for ocamlbuild (Development package)
- The package libmigrate-parsetree-ocamlbuild-ocaml provides an
- ocaml-migrate-parsetree plugin for ocamlbuild, to help building and using
- custom drivers on demand.
-
 Package: libmigrate-parsetree-ocaml-doc
 Section: doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 DESTDIR=$(CURDIR)/debian/tmp
 include /usr/share/ocaml/ocamlvars.mk
-export OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)
 
 %:
 	dh $@ --with ocaml
@@ -10,8 +9,7 @@
 override_dh_auto_configure:
 
 override_dh_auto_install:
-	mkdir -p '$(OCAMLFIND_DESTDIR)'
-	dh_auto_install -- INSTALL_ARGS='--destdir=$(DESTDIR) --verbose'
+	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
 
 override_dh_missing:
 	dh_missing --fail-missing
@@ -23,4 +21,5 @@
 	chmod +x "$@"
 
 override_dh_ocamldoc: debian/preprocess-ocamldoc.sh
-	dh_ocamldoc -u "-pp $<"
+# Broken as of 1.4.0-1
+#	dh_ocamldoc -u "-pp $<"

## ocaml-migrate-parsetree 1.5.0

=== Makefile ===
--- 
+++ 
@@ -28,14 +28,13 @@
 
 .PHONY: all-supported-ocaml-versions
 all-supported-ocaml-versions:
-	dune runtest --workspace jbuild-workspace.dev
+	dune runtest --workspace dune-workspace.dev
 
 .PHONY: cinaps
 cinaps:
 	cinaps -styler ocp-indent -i src/migrate_parsetree_versions.ml*
-	cinaps -styler ocp-indent -i src/migrate_parsetree_40?_40?.ml*
+	cinaps -styler ocp-indent -i src/migrate_parsetree_4??_4??.ml*
 	cinaps -styler ocp-indent -i src/migrate_parsetree.ml
-	cinaps -styler ocp-indent -i bin/ocaml_migrate_parsetree.ml
 
 .PHONY: clean
 clean:

=== examples/omp_ppx_parse/Makefile ===
PACKAGE=ppx_parse
OCAMLC=ocamlfind c
OCAMLOPT=ocamlfind opt
FLAGS=-package ocaml-migrate-parsetree
TARGETS=ppx_parse ppx_parse.cmo ppx_parse.cmx ppx_parse.cmxs

all: build
	
clean:
	rm -f *.o *.cm* $(TARGETS)

build: $(TARGETS)

install: build
	ocamlfind install $(PACKAGE) META $(TARGETS)

uninstall:
	ocamlfind remove $(PACKAGE)

reinstall:
	$(MAKE) uninstall
	$(MAKE) install

%.cmo: %.ml
	$(OCAMLC) $(FLAGS) -c $^

%.cmx: %.ml
	$(OCAMLOPT) $(FLAGS) -c $^

ppx_parse.cmxs: ppx_parse.cmx
	$(OCAMLOPT) -o $@ -shared $^

ppx_parse: ppx_parse.cmx standalone.ml
	$(OCAMLOPT) $(FLAGS) -o $@ -linkpkg $^

=== debian/changelog ===
ocaml-migrate-parsetree (1.5.0-2) unstable; urgency=high

  * Team upload
  * Tighten the dependency to ocaml-dune

 -- Stéphane Glondu <glondu@debian.org>  Fri, 07 Feb 2020 10:30:48 +0100

ocaml-migrate-parsetree (1.5.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Wed, 29 Jan 2020 08:58:09 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 12),
  ocaml-nox (>= 4.02.0),
- ocaml-dune (>= 1.6.0),
+ ocaml-dune (>= 2),
  libppx-derivers-ocaml-dev,
  libresult-ocaml-dev,
  ocaml-compiler-libs,
@@ -30,6 +31,8 @@
  This library converts between parsetrees of different OCaml versions.
  For each version, there is a snapshot of the parsetree and conversion
  functions to the next and/or previous version.
+ .
+ This package contains the runtime library.
 
 Package: libmigrate-parsetree-ocaml-dev
 Architecture: any
@@ -39,11 +42,15 @@
  ${ocaml:Depends}
 Provides:
  ${ocaml:Provides}
+Breaks:
+ ocaml-dune (<< 2)
 Recommends: ocaml-findlib
 Description: Convert OCaml parsetrees between different major versions (Development package)
  This library converts between parsetrees of different OCaml versions.
  For each version, there is a snapshot of the parsetree and conversion
  functions to the next and/or previous version.
+ .
+ This package contains the development library.
 
 Package: libmigrate-parsetree-ocaml-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 override_dh_auto_install:
 	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
+	rm -f $(DESTDIR)/usr/doc/ocaml-migrate-parsetree/LICENSE.md
 
 override_dh_missing:
 	dh_missing --fail-missing

=== debian/watch ===
version=3
https://github.com/ocaml-ppx/ocaml-migrate-parsetree/releases .*/archive/v(\d\S*)\.tar\.gz

## ocaml-migrate-parsetree 1.7.3

=== debian/changelog ===
ocaml-migrate-parsetree (1.7.3-1build1) groovy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Aug 2020 12:32:48 +0200

ocaml-migrate-parsetree (1.7.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump debhelper compat level to 13

 -- Stéphane Glondu <glondu@debian.org>  Fri, 24 Jul 2020 14:38:25 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 12),
- ocaml-nox (>= 4.02.0),
+ debhelper-compat (= 13),
+ ocaml-nox,
  ocaml-dune (>= 2),
  libppx-derivers-ocaml-dev,
  libresult-ocaml-dev,

=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,6 @@
 	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
 	rm -f $(DESTDIR)/usr/doc/ocaml-migrate-parsetree/LICENSE.md
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 # Preprocess migrate_parsetree_versions.mli, which contains OCaml_OCAML_VERSION..
 debian/preprocess-ocamldoc.sh:
 	echo '#!/bin/sh' > "$@"
@@ -24,3 +21,5 @@
 override_dh_ocamldoc: debian/preprocess-ocamldoc.sh
 # Broken as of 1.4.0-1
 #	dh_ocamldoc -u "-pp $<"
+
+override_dh_dwz:

## ocaml-migrate-parsetree 1.8.0

=== examples/omp_ppx_define/Makefile ===
PACKAGE=omp_ppx_define
OCAMLC=ocamlfind c
OCAMLOPT=ocamlfind opt
FLAGS=-package ocaml-migrate-parsetree
TARGETS=ppx_define ppx_define.cmo ppx_define.cmx ppx_define.cmxs

all: build
	
clean:
	rm -f *.o *.cm* $(TARGETS)

build: $(TARGETS)

install: build
	ocamlfind install $(PACKAGE) META $(TARGETS)

uninstall:
	ocamlfind remove $(PACKAGE)

reinstall:
	$(MAKE) uninstall
	$(MAKE) install

%.cmo: %.ml
	$(OCAMLC) $(FLAGS) -c $^

%.cmx: %.ml
	$(OCAMLOPT) $(FLAGS) -c $^

ppx_define.cmxs: ppx_define.cmx
	$(OCAMLOPT) -o $@ -shared $^

ppx_define: ppx_define.cmx standalone.ml
	$(OCAMLOPT) $(FLAGS) -o $@ -linkpkg $^

test: ppx_define
	@echo "(* Original file: cat test.ml *)"
	@cat test.ml
	@echo "(* Substituted file: ./ppx_define -D 'var="hello"' test.ml *)"
	@./ppx_define -D 'var="hello"' test.ml

=== examples/omp_ppx_here/Makefile ===
PACKAGE=omp_ppx_here
OCAMLC=ocamlfind c
OCAMLOPT=ocamlfind opt
FLAGS=-package ocaml-migrate-parsetree
TARGETS=ppx_here ppx_here.cmo ppx_here.cmx ppx_here.cmxs

all: build
	
clean:
	rm -f *.o *.cm* $(TARGETS)

build: $(TARGETS)

install: build
	ocamlfind install $(PACKAGE) META $(TARGETS)

uninstall:
	ocamlfind remove $(PACKAGE)

reinstall:
	$(MAKE) uninstall
	$(MAKE) install

%.cmo: %.ml
	$(OCAMLC) $(FLAGS) -c $^

%.cmx: %.ml
	$(OCAMLOPT) $(FLAGS) -c $^

ppx_here.cmxs: ppx_here.cmx
	$(OCAMLOPT) -o $@ -shared $^

ppx_here: ppx_here.cmx standalone.ml
	$(OCAMLOPT) $(FLAGS) -o $@ -linkpkg $^

=== debian/changelog ===
ocaml-migrate-parsetree (1.8.0-2) unstable; urgency=medium

  * Team upload
  * Do no longer build libmigrate-parsetree-ocaml-doc (Closes: #987460)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 25 Apr 2021 17:05:48 +0200

ocaml-migrate-parsetree (1.8.0-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Fix debian/watch
  * Bump Standards-Version to 4.5.1

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 12 Dec 2020 10:43:53 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -51,17 +51,3 @@
  functions to the next and/or previous version.
  .
  This package contains the development library.
-
-Package: libmigrate-parsetree-ocaml-doc
-Section: doc
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Enhances: libmigrate-parsetree-ocaml-dev
-Description: Documentation for ocaml-migrate-parsetree
- This library converts between parsetrees of different OCaml versions.
- For each version, there is a snapshot of the parsetree and conversion
- functions to the next and/or previous version.
- .
- This package contains documentation for ocaml-migrate-parsetree in html
- format.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_configure:

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/ocaml-migrate-parsetree/LICENSE.md

=== debian/tests/control ===
Tests: omp-ppx-here
Depends: ocaml-nox, ocaml-findlib, @
Restrictions: allow-stderr

=== debian/watch ===
version=3
https://github.com/ocaml-ppx/ocaml-migrate-parsetree/releases .*ocaml-migrate-parsetree-v?([0-9.]+)\.tbz

## ocaml-migrate-parsetree 2.3.0

=== debian/changelog ===
ocaml-migrate-parsetree (2.3.0-2) unstable; urgency=medium

  * Team upload
  * Remove obsolete autopkgtest

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Jan 2022 15:16:01 +0100

ocaml-migrate-parsetree (2.3.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Bump debian/watch version to 4

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Jan 2022 06:31:10 +0100

=== debian/watch ===
version=4
https://github.com/ocaml-ppx/ocaml-migrate-parsetree/releases .*ocaml-migrate-parsetree-v?([0-9.]+)\.tbz

## ocaml-migrate-parsetree 2.4.0

=== debian/changelog ===
ocaml-migrate-parsetree (2.4.0-3build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Nov 2023 23:08:50 +0100

ocaml-migrate-parsetree (2.4.0-3) unstable; urgency=medium

  * Team upload
  * Include ocamlvars.mk in debian/rules

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Jul 2023 07:41:02 +0200

ocaml-migrate-parsetree (2.4.0-2) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 13:55:33 +0200

ocaml-migrate-parsetree (2.4.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 02 Feb 2023 03:05:38 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-dune (>= 2),
  libppx-derivers-ocaml-dev,
  libresult-ocaml-dev,
  ocaml-compiler-libs,
  ocaml-findlib,
- dh-ocaml
+ dh-ocaml (>= 1.2)
 Homepage: https://github.com/ocaml-ppx/ocaml-migrate-parsetree
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-migrate-parsetree
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-migrate-parsetree.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

override_dh_auto_test:
# Needs cinaps
